Description

At my site, it is required that any smtp connections must use a valid "reply" address to send through our servers.

Foreman has this hard-coded in the app/models/host_mailer.rb file in two places...

from "Foreman-noreply@" + Facter.domain

 ...and so by default is not allowed to send mail.  Our smtp server rejects it.

I've fixed it for now for our site by changing those lines in the model, but it's not safe from upgrades.  I would like this to be

customizable in the config/email.yaml file if possible so that we could set it without having to edit the host_mailer.rb file directly.

Thanks,

Matt

Associated revisions

Revision 1f5eea56 - 07/18/2011 03:36 AM - Ohad Levy

fixes #822 - Allow a Customizable "Reply" Address in Email Configuration

History

#1 - 07/18/2011 03:36 AM - Ohad Levy

- Assignee set to Ohad Levy

- Target version set to 0.4

#2 - 07/18/2011 04:49 AM - Ohad Levy

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset 1f5eea5669c4dbdb8b3a9e02395894afe883f5b0.

#3 - 02/15/2021 10:26 AM - Marilou McClure

An issue of the project is fit for the approval of the terms for people. The scene of the team and residencypersonalstatements.net for the signature for

the field. Improvement of the hosts fit for all issues. The volume is fit for the natural way for humans. the comments fit for the marked items for the

opinion or the turns for all people.

#4 - 05/12/2021 07:16 PM - Gegera  Rialo

Our team crafts a capstone project proposal that will https://papernow.org/buy-college-papers satisfy your tutor’s or academic mentor’s demands. It’s

a short paper that informs about your topic choice. Here we also add the reason why you selected this very issue, describe in short what you’re going

to research and what results to obtain.

#5 - 05/19/2021 09:29 PM - Sam Smith
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/1f5eea5669c4dbdb8b3a9e02395894afe883f5b0
https://residencypersonalstatements.net/
https://papernow.org/buy-college-papers


If you need a term paper proposal, we will link ( https://blogforstudents337421226.wordpress.com/2021/03/24/10-page-research-paper/ ) you with a

competent expert to work on it. We do not gamble with your academics; thus, we deliver as per your specifications.
